<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format" xmlns:msxsl="urn:schemas-microsoft-com:xslt">
	<xsl:variable name="ignoreFieldNames" select="'|OBJECTID|Shape|Shape_Length|Shape_Area|ATTACHMENTID|REL_OBJECTID|CONTENT_TYPE|ATT_NAME|DATA_SIZE|DATA|'"/>
	<xsl:variable name="headerRowColor" select="'#FFFFFF'"/>
	<xsl:variable name="alternateRowColor" select="'#D4E4F3'"/>
	<xsl:template match="/">
		<html>
			<head>
				<meta http-equiv="content-type" content="text/html; charset=UTF-8"/>
			</head>
			<body style="margin:0px 0px 0px 0px;overflow:auto;background:#FFFFFF;">
				<table style="font-family:Arial,Verdana,Times;font-size:12px;text-align:left;width:100%;border-collapse:collapse;padding:3px 3px 3px 3px">
					<tr style="text-align:center;font-weight:bold;background:{$headerRowColor}">
						<td>
							<img src="https://www.miteco.gob.es/es/biodiversidad/servicios/banco-datos-naturaleza/cab_iepnb_kmz_tcm30-200218.jpg" alt="cabecera IEPNB" />
						</td>
					</tr>
					<xsl:apply-templates select="FieldsDoc/Attachments" />
					<tr>
						<td>
							<table style="font-family:Arial,Verdana,Times;font-size:12px;text-align:left;width:100%;border-spacing:0px; padding:3px 3px 3px 3px">
								<xsl:choose>
									<xsl:when test="FieldsDoc/Fields/Field/FieldName">
										<xsl:apply-templates select="FieldsDoc/Fields/Field/FieldName[not(contains($ignoreFieldNames, concat(concat('|', text()), '|')))]/.." />
									</xsl:when>
									<xsl:otherwise>
										<xsl:apply-templates select="FieldsDoc/Fields/Field" />
									</xsl:otherwise>
								</xsl:choose>
							</table>
						</td>
					</tr>
				</table>
			</body>
		</html>
	</xsl:template>

	<xsl:template match="Field">
		<tr>
			<xsl:if test="(position() +1) mod 2">
				<xsl:attribute name="bgcolor">
					<xsl:value-of select="$alternateRowColor"/>
				</xsl:attribute>
			</xsl:if>
			<xsl:if test="FieldName">
				<td>
					<xsl:value-of select="FieldName"/>
				</td>
			</xsl:if>
			<td>
				<xsl:choose>
					<xsl:when test="FieldValue[starts-with(., 'http:')]">
						<a target="_blank">
							<xsl:attribute name="href">
								<xsl:value-of select="FieldValue"/>
							</xsl:attribute>
							Ver
						</a>
					</xsl:when>
					<xsl:when test="FieldValue[starts-with(., '&lt;img ')]">
						<xsl:value-of select="FieldValue" disable-output-escaping="yes" />
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="FieldValue"/>
					</xsl:otherwise>
				</xsl:choose>
			</td>
		</tr>
	</xsl:template>
</xsl:stylesheet>